* {
  box-sizing: border-box;
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/InterRegular.woff2");
  font-display: swap;
  font-weight: 400;
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/InterSemiBold.woff2");
  font-display: swap;
  font-weight: 600;
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/InterBold.woff2");
  font-display: swap;
  font-weight: 700;
}

body {
  margin: 0;
  padding: 20px;
  font-family: "Inter", sans-serif;
  background: #e6e4e4;
}

.tasks {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  max-width: 800px;
  padding: 20px;
  list-style: none;
  gap: 32px;
}

.task {
  position: relative;
  border-radius: 30px;
  padding: 24px 24px 24px 60px;
  background: #fffdf9;
}

.task::before {
  content: "";
  position: absolute;
  left: 24px;
  top: 28px;
  border-radius: 100px;
  width: 16px;
  height: 16px;
  background: #f59e0b;
}

.task__top {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  margin-bottom: 20px;
  gap: 12px;
}

.task__text {
  max-width: 524px;
}

.task__more {
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  border-radius: 12px;
  width: 36px;
  height: 36px;
  cursor: pointer;
  background: #f2f5fa;
  transition: background 0.3s;
}

.task__more svg {
  display: block;
  width: 20px;
  height: 20px;
}

.task__more:hover {
  background: #e2e5e9;
}

.task__title {
  margin: 0;
  margin-bottom: 8px;
  font-weight: 700;
  font-size: 20px;
  line-height: 120%;
  color: #162033;
}

.task__descr {
  margin: 0;
  font-weight: 400;
  font-size: 16px;
  line-height: 140%;
  color: #70809b;
}

.task__tags {
  display: flex;
  flex-wrap: wrap;
  max-width: 524px;
  gap: 4px;
}

.task__tag {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 100px;
  padding: 8px 12px;
  font-weight: 700;
  font-size: 12px;
  line-height: 120%;
  color: #2563eb;
  background: #edf4ff;
}

.task__bottom {
  display: flex;
  align-items: center;
  margin-top: 20px;
  gap: 16px;
}

.task__users {
  display: flex;
  align-items: center;
}

.task__user {
  display: block;
  border: 3px solid #fff;
  border-radius: 100px;
  width: 42px;
  height: 42px;
  object-fit: cover;
}

.task__user:not(:first-child) {
  margin-left: -8px;
}

.task__date {
  font-weight: 600;
  font-size: 16px;
  line-height: 120%;
  color: #70809b;
}

.task__btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin-left: auto;
  border: none;
  border-radius: 12px;
  padding: 12px;
  font-family: inherit;
  font-weight: 700;
  font-size: 16px;
  line-height: 120%;
  color: #fff;
  background: #2563eb;
  cursor: pointer;
  transition: background 0.3s;
}

.task__btn:hover {
  background: #537fe1;
}
